Bug 1024061 - ibus-kkc: A change of the pagination_start option in the setup tool is not applied immediately
ibus-kkc: A change of the pagination_start option in the setup tool is not ap...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-kkc (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 13:40 EDT by Mike FABIAN
Modified: 2014-04-14 18:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: ibus-kkc-1.5.20-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-14 18:37:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2013-10-28 13:40:30 EDT
[mfabian@Fedora-20-Beta-TC6-x86_64-netins ~]$ rpm -q ibus-kkc
ibus-kkc-1.5.18-1.fc20.x86_64
[mfabian@Fedora-20-Beta-TC6-x86_64-netins ~]$

- Japanese install
- Select ibus-kkc in the gnome panel
- Type some hiragana
- Hit space to convert to kanji
- Hit space again → candidate table pops up
- Click the あ in the gnome panel, click on 設定 (setup) in the menu
  which pops up → The setup tool of ibus-kkc starts
- In the first tab of the setup tool (labelled 動作) the second last
  option is:

  候補ウィンドウの表示開始位置(G): [0   -+]

  Change this option to 7:

  候補ウィンドウの表示開始位置(G): [7   -+]

- Type some hiragana again
- Hit space to convert to kanji
- Hit space again → candidate table pops up !

  Here is a problem, the candidate table should not pop up now after
  typing space only twice, we changed that option to 7!

- click the あ in the gnome-panel and switch to some other input source
- switch back to ibus-kkc using the gnome-panel
- Type some hiragana again
- Hit space until the canditatetable pops up
  → Now hitting space 8 times is necessary
  That is correct.

So changing this option does not become effective immediately, only
after switching to some other input source and back to ibus-kkc this works.

This is *different* from the other options

  句読点の形式(P):         [。、     ↓]
  ...
  候補ウィンドウの項目数(W): [7   -+]
  [✓] 候補の注釈を表示する

these options become effective *immediately* when the are changed
without having to switch the engine back and forth.

So I think that the 候補ウィンドウの表示開始位置 does not become effective
immediately is a bug.
Comment 1 Daiki Ueno 2013-12-16 03:20:29 EST
Sorry for the late response.  It should be fixed with the git master:
https://gitorious.org/libkkc/ibus-kkc/commit/d18d7048f98f958dbf3e06b9b6c7801e4197a7dd

Thanks for the detail report!
Comment 2 Fedora Update System 2014-04-01 06:30:58 EDT
ibus-kkc-1.5.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-kkc-1.5.20-1.fc20
Comment 3 Fedora Update System 2014-04-02 05:18:09 EDT
Package ibus-kkc-1.5.20-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-kkc-1.5.20-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4650/ibus-kkc-1.5.20-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-04-14 18:37:30 EDT
ibus-kkc-1.5.20-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.